org.modeshape.sequencer.ddl.dialect.derby

## Class DerbyDdlLexicon

- java.lang.Object
- - org.modeshape.sequencer.ddl.StandardDdlLexicon
  - - org.modeshape.sequencer.ddl.dialect.derby.DerbyDdlLexicon

-     public class DerbyDdlLexicon
      extends StandardDdlLexicon

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DerbyDdlLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IS_TABLE_TYPE`
    `static String` | `ORDER`
    `static String` | `PARAMETER_STYLE`
    `static String` | `ROLE_NAME`
    `static String` | `TABLE_NAME`
    `static String` | `TYPE_CREATE_FUNCTION_STATEMENT`
    `static String` | `TYPE_CREATE_INDEX_STATEMENT`
    `static String` | `TYPE_CREATE_PROCEDURE_STATEMENT`
    `static String` | `TYPE_CREATE_ROLE_STATEMENT`
    `static String` | `TYPE_CREATE_SYNONYM_STATEMENT`
    `static String` | `TYPE_CREATE_TRIGGER_STATEMENT`
    `static String` | `TYPE_DECLARE_GLOBAL_TEMPORARY_TABLE_STATEMENT`
    `static String` | `TYPE_DROP_FUNCTION_STATEMENT`
    `static String` | `TYPE_DROP_INDEX_STATEMENT`
    `static String` | `TYPE_DROP_PROCEDURE_STATEMENT`
    `static String` | `TYPE_DROP_ROLE_STATEMENT`
    `static String` | `TYPE_DROP_SYNONYM_STATEMENT`
    `static String` | `TYPE_DROP_TRIGGER_STATEMENT`
    `static String` | `TYPE_FUNCTION_PARAMETER`
    `static String` | `TYPE_GRANT_ON_FUNCTION_STATEMENT`
    `static String` | `TYPE_GRANT_ON_PROCEDURE_STATEMENT`
    `static String` | `TYPE_GRANT_ROLES_STATEMENT`
    `static String` | `TYPE_INDEX_COLUMN_REFERENCE`
    `static String` | `TYPE_LOCK_TABLE_STATEMENT`
    `static String` | `TYPE_RENAME_INDEX_STATEMENT`
    `static String` | `TYPE_RENAME_TABLE_STATEMENT`
    `static String` | `UNIQUE_INDEX`

    - ### Fields inherited from class org.modeshape.sequencer.ddl.StandardDdlLexicon

      `ALL_PRIVILEGES, CHECK_SEARCH_CONDITION, COLLATION_CHARACTER_SET_NAME, COLLATION_NAME, COLLATION_SOURCE, COLUMN_ATTRIBUTE, CONSTRAINT_TYPE, CREATE_VIEW_OPTION_CLAUSE, CREATE_VIEW_QUERY_EXPRESSION, DATATYPE_LENGTH, DATATYPE_NAME, DATATYPE_PRECISION, DATATYPE_SCALE, DDL_EXPRESSION, DDL_LENGTH, DDL_ORIGINAL_EXPRESSION, DDL_PROBLEM, DDL_START_CHAR_INDEX, DDL_START_COLUMN_NUMBER, DDL_START_LINE_NUMBER, DEFAULT_ID_CURRENT_USER, DEFAULT_ID_DATETIME, DEFAULT_ID_LITERAL, DEFAULT_ID_NULL, DEFAULT_ID_SESSION_USER, DEFAULT_ID_SYSTEM_USER, DEFAULT_ID_USER, DEFAULT_OPTION, DEFAULT_PRECISION, DEFAULT_VALUE, DEFERRABLE, DROP_BEHAVIOR, DROP_OPTION, EXISTING_NAME, GRANT_PRIVILEGE, GRANTEE, MESSAGE, NEW_NAME, NULLABLE, ON_COMMIT_VALUE, OPTION, PAD_ATTRIBUTE, PAD_ATTRIBUTE_NO_PAD, PAD_ATTRIBUTE_PAD, PARSER_ID, PROBLEM_LEVEL, PROPERTY_VALUE, SOURCE_CHARACTER_SET_NAME, SQL, STATEMENTS_CONTAINER, TARGET_CHARACTER_SET_NAME, TEMPORARY, TYPE, TYPE_ADD_COLUMN_DEFINITION, TYPE_ADD_TABLE_CONSTRAINT_DEFINITION, TYPE_ALTER_COLUMN_DEFINITION, TYPE_ALTER_DOMAIN_STATEMENT, TYPE_ALTER_TABLE_STATEMENT, TYPE_ALTERABLE, TYPE_ASSERTION_OPERAND, TYPE_CHARACTER_SET_OPERAND, TYPE_CLAUSE, TYPE_COLLATION_OPERAND, TYPE_COLUMN_DEFINITION, TYPE_COLUMN_OPERAND, TYPE_COLUMN_REFERENCE, TYPE_CONSTRAINT_ATTRIBUTE, TYPE_CREATE_ASSERTION_STATEMENT, TYPE_CREATE_CHARACTER_SET_STATEMENT, TYPE_CREATE_COLLATION_STATEMENT, TYPE_CREATE_DOMAIN_STATEMENT, TYPE_CREATE_SCHEMA_STATEMENT, TYPE_CREATE_TABLE_STATEMENT, TYPE_CREATE_TRANSLATION_STATEMENT, TYPE_CREATE_VIEW_STATEMENT, TYPE_CREATEABLE, TYPE_DOMAIN_CONSTRAINT, TYPE_DOMAIN_OPERAND, TYPE_DROP_ASSERTION_STATEMENT, TYPE_DROP_CHARACTER_SET_STATEMENT, TYPE_DROP_COLLATION_STATEMENT, TYPE_DROP_COLUMN_DEFINITION, TYPE_DROP_DOMAIN_STATEMENT, TYPE_DROP_OPTION, TYPE_DROP_SCHEMA_STATEMENT, TYPE_DROP_TABLE_CONSTRAINT_DEFINITION, TYPE_DROP_TABLE_STATEMENT, TYPE_DROP_TRANSLATION_STATEMENT, TYPE_DROP_VIEW_STATEMENT, TYPE_DROPPABLE, TYPE_FK_COLUMN_REFERENCE, TYPE_GRANT_ON_CHARACTER_SET_STATEMENT, TYPE_GRANT_ON_COLLATION_STATEMENT, TYPE_GRANT_ON_DOMAIN_STATEMENT, TYPE_GRANT_ON_TABLE_STATEMENT, TYPE_GRANT_ON_TRANSLATION_STATEMENT, TYPE_GRANT_STATEMENT, TYPE_GRANTABLE, TYPE_INSERT_STATEMENT, TYPE_INSERTABLE, TYPE_MISSING_TERMINATOR, TYPE_OPERAND, TYPE_OPERATION, TYPE_PROBLEM, TYPE_REFERENCE_OPERAND, TYPE_REVOKABLE, TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT, TYPE_REVOKE_ON_COLLATION_STATEMENT, TYPE_REVOKE_ON_DOMAIN_STATEMENT, TYPE_REVOKE_ON_TABLE_STATEMENT, TYPE_REVOKE_ON_TRANSLATION_STATEMENT, TYPE_REVOKE_STATEMENT, TYPE_SCHEMA_OPERAND, TYPE_SET_STATEMENT, TYPE_SETTABLE, TYPE_SIMPLE_PROPERTY, TYPE_STATEMENT, TYPE_STATEMENT_OPTION, TYPE_TABLE_CONSTRAINT, TYPE_TABLE_CONSTRAINT_OPERAND, TYPE_TABLE_OPERAND, TYPE_TABLE_REFERENCE, TYPE_TRANSLATION_OPERAND, TYPE_UNKNOWN_STATEMENT, TYPE_VIEW_OPERAND, VALUE, WITH_GRANT_OPTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DerbyDdlLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_CREATE_FUNCTION_STATEMENT

          public static final String TYPE_CREATE_FUNCTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_INDEX_STATEMENT

          public static final String TYPE_CREATE_INDEX_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_PROCEDURE_STATEMENT

          public static final String TYPE_CREATE_PROCEDURE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_ROLE_STATEMENT

          public static final String TYPE_CREATE_ROLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_SYNONYM_STATEMENT

          public static final String TYPE_CREATE_SYNONYM_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_TRIGGER_STATEMENT

          public static final String TYPE_CREATE_TRIGGER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_LOCK_TABLE_STATEMENT

          public static final String TYPE_LOCK_TABLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_RENAME_TABLE_STATEMENT

          public static final String TYPE_RENAME_TABLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_RENAME_INDEX_STATEMENT

          public static final String TYPE_RENAME_INDEX_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DECLARE_GLOBAL_TEMPORARY_TABLE_STATEMENT

          public static final String TYPE_DECLARE_GLOBAL_TEMPORARY_TABLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_FUNCTION_STATEMENT

          public static final String TYPE_DROP_FUNCTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_INDEX_STATEMENT

          public static final String TYPE_DROP_INDEX_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_PROCEDURE_STATEMENT

          public static final String TYPE_DROP_PROCEDURE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_ROLE_STATEMENT

          public static final String TYPE_DROP_ROLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_SYNONYM_STATEMENT

          public static final String TYPE_DROP_SYNONYM_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_TRIGGER_STATEMENT

          public static final String TYPE_DROP_TRIGGER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_FUNCTION_PARAMETER

          public static final String TYPE_FUNCTION_PARAMETER

      See Also:
        Constant Field Values

    - #### TYPE_INDEX_COLUMN_REFERENCE

          public static final String TYPE_INDEX_COLUMN_REFERENCE

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_FUNCTION_STATEMENT

          public static final String TYPE_GRANT_ON_FUNCTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_PROCEDURE_STATEMENT

          public static final String TYPE_GRANT_ON_PROCEDURE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ROLES_STATEMENT

          public static final String TYPE_GRANT_ROLES_STATEMENT

      See Also:
        Constant Field Values

    - #### UNIQUE_INDEX

          public static final String UNIQUE_INDEX

      See Also:
        Constant Field Values

    - #### ORDER

          public static final String ORDER

      See Also:
        Constant Field Values

    - #### TABLE_NAME

          public static final String TABLE_NAME

      See Also:
        Constant Field Values

    - #### ROLE_NAME

          public static final String ROLE_NAME

      See Also:
        Constant Field Values

    - #### IS_TABLE_TYPE

          public static final String IS_TABLE_TYPE

      See Also:
        Constant Field Values

    - #### PARAMETER_STYLE

          public static final String PARAMETER_STYLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DerbyDdlLexicon

          public DerbyDdlLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.